# file::is-assembly

Checks if a given file is an assembly.

### Usage

`bool file::is-assembly(assemblyFile)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyFile | string | The name or path of the file to be checked.

### Return Value

True if the file is a valid assembly, false if it's not or if the assembly seems corrupted (invalid headers or metadata).

### Exceptions

The function will fail in any of the following circumstances:

- assemblyFile is a null String.
- assemblyFile is an empty String.
- assemblyFile is not found, or the file you are trying to check does not specify a filename extension.
- The caller does not have path discovery permission.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)